corda / net.corda.client.fxutils / AssociatedList / <init>

# <init>

`AssociatedList(sourceList: ObservableList<out A>, toKey: (A) -> K, assemble: (K, A) -> B)`

AssociatedList creates an ObservableMap from an ObservableList by associating each list element with a unique key. It is not allowed to have several elements map to the same value!

### Parameters

`sourceList` - The source list.

`toKey` - Function returning the key.

`assemble` - The function to assemble the final map element from the list element and the associated key.